searchNodes=[{"ref":"Solarex.html","title":"Solarex","type":"module","doc":"About With Solarex Elixir package, you can calculate moon phase, sunrise and sunset for particular date and place on the Earth. Installation The package can be installed by adding solarex to your list of dependencies in mix.exs: def deps do [ {:solarex, &quot;~&gt; 0.1.0&quot;} ] end Modules Moon Solarex.Moon module is for calculating moon phase using naive approach by calculating the days from the known new moon. You can specify known new moon using config.exs use Mix.Config # Set the date to known new moon # config :solarex, known_new_moon: &quot;2019-01-06&quot; Sun Solarex.Sun is Elixir implementation of Mike Bostock&#39;s Solar Calculator. It can be used for calculating sunrise and sunset for particular date and place on earth (specified by latitude and longitude) Documentation Generated documentation can be found at Hexdocs. License This software is licensed under the MIT license."},{"ref":"Solarex.Math.html","title":"Solarex.Math","type":"module","doc":"Solarex.Math module represents mathematical functions used in Solarex.Sun module."},{"ref":"Solarex.Math.html#acos/1","title":"Solarex.Math.acos/1","type":"function","doc":"See :math.acos/1."},{"ref":"Solarex.Math.html#asin/1","title":"Solarex.Math.asin/1","type":"function","doc":"See :math.asin/1."},{"ref":"Solarex.Math.html#cos/1","title":"Solarex.Math.cos/1","type":"function","doc":"See :math.cos/1."},{"ref":"Solarex.Math.html#degrees/1","title":"Solarex.Math.degrees/1","type":"function","doc":"Calculates degrees from radians iex&gt; Solarex.Math.degrees(1) 57.29577951308232"},{"ref":"Solarex.Math.html#modulo/2","title":"Solarex.Math.modulo/2","type":"function","doc":"Calculates the remainder after division of x by y iex&gt; Solarex.Math.modulo(19, 3) 1.0"},{"ref":"Solarex.Math.html#pi/0","title":"Solarex.Math.pi/0","type":"function","doc":"See :math.pi/0."},{"ref":"Solarex.Math.html#pow/2","title":"Solarex.Math.pow/2","type":"function","doc":"See :math.pow/2."},{"ref":"Solarex.Math.html#radians/1","title":"Solarex.Math.radians/1","type":"function","doc":"Calculates radians from degrees iex&gt; Solarex.Math.radians(57.295779513082321) 1.0"},{"ref":"Solarex.Math.html#sin/1","title":"Solarex.Math.sin/1","type":"function","doc":"See :math.sin/1."},{"ref":"Solarex.Math.html#tan/1","title":"Solarex.Math.tan/1","type":"function","doc":"See :math.tan/1."},{"ref":"Solarex.Moon.html","title":"Solarex.Moon","type":"module","doc":"Solarex.Moon is module for calculating moon phase for particular date. This module implements naive approach by calculating the number of days since a known new moon. See Wikipedia page for more info."},{"ref":"Solarex.Moon.html#days_to_new_moon/1","title":"Solarex.Moon.days_to_new_moon/1","type":"function","doc":"Returns remaining days to next new moon for the passed date using know new moon date and synodic month https://en.wikipedia.org/wiki/Lunar_phase#Calculating_phase iex&gt; Solarex.Moon.days_to_new_moon(~D[2019-05-05]) 1"},{"ref":"Solarex.Moon.html#phase/0","title":"Solarex.Moon.phase/0","type":"function","doc":"Returns moon phase for the current date."},{"ref":"Solarex.Moon.html#phase/1","title":"Solarex.Moon.phase/1","type":"function","doc":"Calculate moon phase for the passed Date. Returns one of :new_moon, :waxing_crescent, :first_quarter, :waxing_gibbous, :full_moon, :waning_gibbous, :third_quarter, :waning_crescent, :new_moon atom. iex&gt; Solarex.Moon.phase(~D[2019-05-05]) :new_moon"},{"ref":"Solarex.Sun.html","title":"Solarex.Sun","type":"module","doc":"Solarex.Sun is module for calculating sunrise, sunset and solar noon for particular date, latitude and longitude"},{"ref":"Solarex.Sun.html#apparent_longitude/1","title":"Solarex.Sun.apparent_longitude/1","type":"function","doc":"Returns the sun&#39;s apparent longitude in degrees for given t in J2000.0 centuries. https://en.wikipedia.org/wiki/Apparent_longitude iex&gt; Solarex.Sun.apparent_longitude(0.17437909156589854) 79.0332141755133"},{"ref":"Solarex.Sun.html#century/1","title":"Solarex.Sun.century/1","type":"function","doc":"Returns the fraction number of centures since the J2000.0 epoch, 2000-01-01T12:00:00Z for passed unix timestamp in milliseconds. iex&gt; Solarex.Sun.century(1483228800000) 0.17000684462696783"},{"ref":"Solarex.Sun.html#declination/1","title":"Solarex.Sun.declination/1","type":"function","doc":"Returns the solar declination in degrees for given t in J2000.0 centuries. https://en.wikipedia.org/wiki/Position_of_the_Sun#Declination_of_the_Sun_as_seen_from_Earth iex&gt; Solarex.Sun.declination(0.17437909156589854) 22.982073772785167"},{"ref":"Solarex.Sun.html#equation_of_center/1","title":"Solarex.Sun.equation_of_center/1","type":"function","doc":"Returns the sun&#39;s equation of center for given t in J2000.0 centuries. https://en.wikipedia.org/wiki/Equation_of_the_center iex&gt; Solarex.Sun.equation_of_center(0.17437909156589854) 0.7934457966327464"},{"ref":"Solarex.Sun.html#equation_of_time/1","title":"Solarex.Sun.equation_of_time/1","type":"function","doc":"Returns the equation of time the for given t in J2000.0 centuries. https://en.wikipedia.org/wiki/Equation_of_time iex&gt; Solarex.Sun.equation_of_time(0.17437909156589854) 0.6590584715529293"},{"ref":"Solarex.Sun.html#hours/3","title":"Solarex.Sun.hours/3","type":"function","doc":"Returns Timex.Duration of daylight for given Date, latitude and longitude. iex&gt; Solarex.Sun.hours(~D[2017-06-13], 50.0598054, 14.3251989) |&gt; Timex.Duration.to_hours 16.333333333333332"},{"ref":"Solarex.Sun.html#mean_anomaly/1","title":"Solarex.Sun.mean_anomaly/1","type":"function","doc":"Returns the sun&#39;s mean anomaly in degrees for given t in J2000.0 centuries. https://en.wikipedia.org/wiki/Mean_anomaly iex&gt; Solarex.Sun.mean_anomaly(0.17437909156589854) 6635.010792131577"},{"ref":"Solarex.Sun.html#mean_longitude/1","title":"Solarex.Sun.mean_longitude/1","type":"function","doc":"Returns the sun&#39;s mean longitude in degrees for given t in J2000.0 centuries. https://en.wikipedia.org/wiki/Mean_longitude iex&gt; Solarex.Sun.mean_longitude(0.17437909156589854) 78.24800784813306"},{"ref":"Solarex.Sun.html#noon/2","title":"Solarex.Sun.noon/2","type":"function","doc":"Returns the unix timestamp in milliseconds of the solar noon for passed timestamp in milliseconds and longitude. https://en.wikipedia.org/wiki/Noon#Solar_noon iex&gt; Solarex.Sun.noon(1483228800000, 14.3251989) 1483268794183"},{"ref":"Solarex.Sun.html#noon/3","title":"Solarex.Sun.noon/3","type":"function","doc":"Returns the time of the solar noon for Date, latitude and longitude. https://en.wikipedia.org/wiki/Noon#Solar_noon iex&gt; noon = Solarex.Sun.noon(~D[2017-01-01], 50.0598054, 14.3251989) ...&gt; Timex.format!(noon, &quot;{ISO:Extended}&quot;) &quot;2017-01-01T11:06:34.183+00:00&quot;"},{"ref":"Solarex.Sun.html#obliquity_of_ecliptic/1","title":"Solarex.Sun.obliquity_of_ecliptic/1","type":"function","doc":"Returns the obliquity of the Earth’s ecliptic in degrees for given t in J2000.0 centuries. https://en.wikipedia.org/wiki/Ecliptic#Obliquity_of_the_ecliptic iex&gt; Solarex.Sun.obliquity_of_ecliptic(0.17437909156589854) 23.43485798269169"},{"ref":"Solarex.Sun.html#orbit_eccentricity/1","title":"Solarex.Sun.orbit_eccentricity/1","type":"function","doc":"Returns eccentricity for given t in J2000.0 centuries. https://en.wikipedia.org/wiki/Orbital_eccentricity iex&gt; Solarex.Sun.orbit_eccentricity(0.17437909156589854) 0.016701299773425684"},{"ref":"Solarex.Sun.html#rise/3","title":"Solarex.Sun.rise/3","type":"function","doc":"Returns sunrise for passed timestamp in milliseconds, latitude and longitude. iex&gt; Solarex.Sun.rise(1483228800000, 50.0598054, 14.3251989) {:ok, ~N[2017-01-01 07:01:40.231]}"},{"ref":"Solarex.Sun.html#rise_hour_angle/2","title":"Solarex.Sun.rise_hour_angle/2","type":"function","doc":"Returns hour angle of sunrise for the given unix timestamp and latitude in degrees. https://en.wikipedia.org/wiki/Hour_angle iex&gt; Solarex.Sun.rise_hour_angle(1497026562000, 37.7749) {:ok, -110.40483214814614}"},{"ref":"Solarex.Sun.html#set/3","title":"Solarex.Sun.set/3","type":"function","doc":"Returns sunset for passed timestamp in milliseconds, latitude and longitude. iex&gt; Solarex.Sun.set(1483228800000, 50.0598054, 14.3251989) {:ok, ~N[2017-01-01 15:11:28.135]}"},{"ref":"Solarex.Sun.html#true_longitude/1","title":"Solarex.Sun.true_longitude/1","type":"function","doc":"Returns the sun&#39;s true longitude in degrees for given t in J2000.0 centuries. https://en.wikipedia.org/wiki/True_longitude iex&gt; Solarex.Sun.true_longitude(0.17437909156589854) 79.04145364476581"},{"ref":"readme.html","title":"About","type":"extras","doc":"About With Solarex Elixir package, you can calculate moon phase, sunrise and sunset for particular date and place on the Earth."},{"ref":"readme.html#installation","title":"About - Installation","type":"extras","doc":"The package can be installed by adding solarex to your list of dependencies in mix.exs: def deps do [ {:solarex, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#modules","title":"About - Modules","type":"extras","doc":"Moon Solarex.Moon module is for calculating moon phase using naive approach by calculating the days from the known new moon. You can specify known new moon using config.exs use Mix.Config # Set the date to known new moon # config :solarex, known_new_moon: &quot;2019-01-06&quot; Sun Solarex.Sun is Elixir implementation of Mike Bostock&#39;s Solar Calculator. It can be used for calculating sunrise and sunset for particular date and place on earth (specified by latitude and longitude)"},{"ref":"readme.html#documentation","title":"About - Documentation","type":"extras","doc":"Generated documentation can be found at Hexdocs."},{"ref":"readme.html#license","title":"About - License","type":"extras","doc":"This software is licensed under the MIT license."}]